Bug Hunting Session
Bug 95539 - Option + arrow does not work properly when RTL is enabled
Summary: Option + arrow does not work properly when RTL is enabled
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2015-11-03 08:37 UTC by Zeev Turchinsky
Modified: 2019-05-25 02:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (173.52 KB, image/png)
2015-11-04 06:34 UTC, Zeev Turchinsky
Details
screenshot (248.82 KB, image/png)
2015-11-04 06:35 UTC, Zeev Turchinsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeev Turchinsky 2015-11-03 08:37:12 UTC
Option + right arrow moves the cursor left one word, and otherwise, Option + left arrow moves the cursor right one word
Comment 1 Alex Thurgood 2015-11-03 09:34:26 UTC
@Zeev : this works for me in

TDF produced 
Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale : fr-FR (fr.UTF-8)

Can not confirm.

Option+right arrow moves cursor one word to the right.
Option+left arrow moves cursor one word to the left.

Which OSX version are you using ?
Are you using a LibreOffice version from the AppStore ?
Comment 2 Zeev Turchinsky 2015-11-03 10:10:52 UTC
(In reply to Alex Thurgood from comment #1)
> @Zeev : this works for me in
> 
> TDF produced 
> Version: 5.0.2.2
> Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
> Locale : fr-FR (fr.UTF-8)
> 
> Can not confirm.
> 
> Option+right arrow moves cursor one word to the right.
> Option+left arrow moves cursor one word to the left.
> 
> Which OSX version are you using ?
> Are you using a LibreOffice version from the AppStore ?

Hi, I use version 10.11.1 (15B42) of OS X El Capitan - the latest one.
I use LibreOffice that I downloaded from the official site, not from the AppStore.
Comment 3 Zeev Turchinsky 2015-11-03 10:12:09 UTC
The Command + left and right arrow work in the same way.
Comment 4 Zeev Turchinsky 2015-11-03 15:04:01 UTC
I found that the same behaviour happens in OpenOffice...Any ideas?
Comment 5 Alex Thurgood 2015-11-03 16:18:15 UTC
@Zeev : are you using RTL (right to left) typing, or are your documents defined with a language that is RTL ? Just guessing here.
Comment 6 Zeev Turchinsky 2015-11-04 06:34:45 UTC
Created attachment 120250 [details]
screenshot
Comment 7 Zeev Turchinsky 2015-11-04 06:35:50 UTC
Created attachment 120251 [details]
screenshot
Comment 8 Zeev Turchinsky 2015-11-04 06:36:35 UTC
(In reply to Alex Thurgood from comment #5)
> @Zeev : are you using RTL (right to left) typing, or are your documents
> defined with a language that is RTL ? Just guessing here.

I just set the options like it appears in the attachments...
Comment 9 Alex Thurgood 2015-11-09 11:04:12 UTC
So, I would be inclined to mark this as a duplicate of bug 93352, which shows similar behaviour in Calc when CTL (RTL) is activated, i.e. the horizontal directional coordinates of scrollbars, and cursor (arrow) keys seem to be inverted when CTL mode is activated.

I will leave this as a separate report though for the moment, as I don't know which code paths are involved, and they might be different (although with similar undesirable effect) between Calc and Writer.
Comment 10 Robinson Tryon (qubit) 2015-12-14 05:32:48 UTC Comment hidden (obsolete)
Comment 11 Alex Thurgood 2017-07-31 10:36:00 UTC
Still not working correctly in 

Version: 6.0.0.0.alpha0+
Build ID: 376e27dd498d64212e570354a94c527b37d367b1
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 12 Buovjaga 2018-05-24 14:03:44 UTC
I get the same result with RTL text and Ctrl + arrows on Windows with 4.4.7, 4.3.0 beta1 and 3.5.0.
Also, it was said "I found that the same behaviour happens in OpenOffice"

Same on Linux

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: eeaf6dee2d278eaa037d95a756ad0ffab3314bc2
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 24th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 13 QA Administrators 2019-05-25 02:56:43 UTC
Dear Zeev Turchinsky,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug